package com.develop.food.base

import android.app.Application
import android.content.Context
import androidx.multidex.MultiDex
import com.develop.food.base.repo.FoodDataProvider
import com.develop.food.base.utils.TopResumedActivityHolder
import com.lzf.easyfloat.EasyFloat

open class FoodCookBaseApp: Application() {

    override fun onCreate() {
        super.onCreate()
    }

    override fun attachBaseContext(base: Context?) {
        super.attachBaseContext(base)
        application = this
        MultiDex.install(this)
        FoodDataProvider.prepareData(this)
        registerActivityLifecycleCallbacks(TopResumedActivityHolder)
    }

    companion object {
        lateinit var application: Application
    }

}